diff --git a/src/backend/catalog/catalog.c b/src/backend/catalog/catalog.c
new file mode 100644
index 8e7a9ec..e9d3cdc
*** a/src/backend/catalog/catalog.c
--- b/src/backend/catalog/catalog.c
*************** IsSharedRelation(Oid relationId)
*** 246,252 ****
  	if (relationId == PgShdescriptionToastTable ||
  		relationId == PgShdescriptionToastIndex ||
  		relationId == PgDbRoleSettingToastTable ||
! 		relationId == PgDbRoleSettingToastIndex)
  		return true;
  	return false;
  }
--- 246,254 ----
  	if (relationId == PgShdescriptionToastTable ||
  		relationId == PgShdescriptionToastIndex ||
  		relationId == PgDbRoleSettingToastTable ||
! 		relationId == PgDbRoleSettingToastIndex ||
! 		relationId == PgShseclabelToastTable ||
! 		relationId == PgShseclabelToastIndex)
  		return true;
  	return false;
  }
diff --git a/src/include/catalog/toasting.h b/src/include/catalog/toasting.h
new file mode 100644
index cba4ae7..fb2f035
*** a/src/include/catalog/toasting.h
--- b/src/include/catalog/toasting.h
*************** DECLARE_TOAST(pg_shdescription, 2846, 28
*** 62,66 ****
--- 62,69 ----
  DECLARE_TOAST(pg_db_role_setting, 2966, 2967);
  #define PgDbRoleSettingToastTable 2966
  #define PgDbRoleSettingToastIndex 2967
+ DECLARE_TOAST(pg_shseclabel, 4060, 4061);
+ #define PgShseclabelToastTable 4060
+ #define PgShseclabelToastIndex 4061
  
  #endif   /* TOASTING_H */
